Package org.opentcs.access

# Class SslParameterSet

java.lang.Object
org.opentcs.access.SslParameterSet

All Implemented Interfaces:
  `java.io.Serializable`

    public class SslParameterSet
    extends java.lang.Object
    implements java.io.Serializable

A set of parameters to be used for SSL-encrypted socket connections.

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `DEFAULT_KEYSTORE_TYPE` | The default type used for truststore and keystore files.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `SslParameterSet​(java.lang.String keystoreType, java.io.File keystoreFile, java.lang.String keystorePassword, java.io.File truststoreFile, java.lang.String truststorePassword)` | Creates a new instance.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.io.File` | `getKeystoreFile()` | Returns the file path of the keystore file.
  `java.lang.String` | `getKeystorePassword()` | Returns the password for the keystore file.
  `java.lang.String` | `getKeystoreType()` | Returns the keystoreType used to decrypt the keystore and truststore.
  `java.io.File` | `getTruststoreFile()` | Returns the file path of the truststore file.
  `java.lang.String` | `getTruststorePassword()` | Returns the password for the truststore file.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_KEYSTORE_TYPE

    public static final java.lang.String DEFAULT_KEYSTORE_TYPE
    The default type used for truststore and keystore files.
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### SslParameterSet

    public SslParameterSet​(@Nonnull java.lang.String keystoreType, @Nullable java.io.File keystoreFile, @Nullable java.lang.String keystorePassword, @Nullable java.io.File truststoreFile, @Nullable java.lang.String truststorePassword)
    Creates a new instance.
    Parameters:
      `keystoreType` - The type used for keystore and truststore
      `keystoreFile` - The keystore file
      `truststoreFile` - The truststore file
      `keystorePassword` - The keystore file password
      `truststorePassword` - The truststore file password

- ## Method Details

  - ### getKeystoreType

    @Nonnull public java.lang.String getKeystoreType()
    Returns the keystoreType used to decrypt the keystore and truststore.
    Returns:
      The keystoreType used to decrypt the keystore and truststore

  - ### getKeystoreFile

    @Nullable public java.io.File getKeystoreFile()
    Returns the file path of the keystore file.
    Returns:
      The file path of the keystore file

  - ### getKeystorePassword

    @Nullable public java.lang.String getKeystorePassword()
    Returns the password for the keystore file.
    Returns:
      The password for the keystore file

  - ### getTruststoreFile

    @Nullable public java.io.File getTruststoreFile()
    Returns the file path of the truststore file.
    Returns:
      The file path of the truststore file

  - ### getTruststorePassword

    @Nullable public java.lang.String getTruststorePassword()
    Returns the password for the truststore file.
    Returns:
      The password for the truststore file